Ask Your Question

Revision history [back]

Knowing how it is, forget about upgrading/updating to newer packages from the official repos, especially when the program gets a new version quite often, like LO. That's why the official PPA (https://launchpad.net/~libreoffice/+archive/ubuntu/ppa) with dedicated ppl (who can be busy with something else, too, but that's considerably rare) exists. That's true for most programs and games you can install on an Ubuntu.

Knowing how it is, forget about upgrading/updating to newer packages from the official repos, especially when the program gets a new version quite often, like LO. That's why the official PPA (https://launchpad.net/~libreoffice/+archive/ubuntu/ppa) with dedicated ppl (who can be busy with something else, too, but that's considerably rare) exists. exists.

That's true for most programs and games you can install on an Ubuntu.Ubuntu, but whether some PPA providing newer versions supports the distro version, or worse yet, whether it works, can be different story. If the release isn't supported, you can still try to install from it by manually adding the repo, and what you need to know is always listed in the PPA's page right there, hidden.

Knowing how it is, forget about upgrading/updating to newer packages from the official repos, especially when the program gets a new version quite often, like LO. That's why the official PPA (https://launchpad.net/~libreoffice/+archive/ubuntu/ppa) with dedicated ppl (who can be busy with something else, too, but that's considerably rare) exists.

That's true for most programs and games you can install on an Ubuntu, but whether some PPA providing newer versions supports the distro version, or worse yet, whether it works, can be different story. If the release isn't supported, you can still try to install from it by manually adding the repo, and what you need to know is always listed in the PPA's page right there, hidden.hidden behind single click.

1) Knowing how it is, forget about upgrading/updating to newer packages from the official repos, especially when the program gets a new version quite often, like LO. That's why the official PPA (https://launchpad.net/~libreoffice/+archive/ubuntu/ppa) with dedicated ppl (who can be busy with something else, too, but that's considerably rare) exists.

That's true for most programs and games you can install on an Ubuntu, but whether some PPA providing newer versions supports the distro version, or worse yet, whether it works, can be different story. If the release isn't supported, you can still try to install from it by manually adding the repo, and what you need to know is always listed in the PPA's page right there, hidden behind single click.

2) Also be warned you might not be able to install or use a DEB package in either Ubuntu or Debian due to format-breaking changes Ubuntu made. Anyway, you can always try if no PPA works.

1) Knowing how it is, forget about upgrading/updating to newer packages from the official repos, especially when the program gets a new version quite often, like LO. That's why the official PPA (https://launchpad.net/~libreoffice/+archive/ubuntu/ppa) with dedicated ppl (who can be busy with something else, too, but that's considerably rare) exists.

That's true for most programs and games you can install on an Ubuntu, but whether some PPA providing newer versions supports the distro version, or worse yet, whether it works, can be different story. If the release isn't supported, you can still try to install from it by manually adding the repo, and what you need to know is always listed in the PPA's page right there, hidden behind single click.

2) Also be warned you might not be able to install or use a DEB package in either Ubuntu or Debian due to format-breaking changes Ubuntu made. made; a Debian DEB should work in Ubuntu but an Ubuntu DEB might not work in Debian. Anyway, you can always try if no PPA repo works.